fedpkg-1.33-2.el6.noarch.rpm


Advertisement

Description

fedpkg - Fedora utility for working with dist-git

Property Value
Distribution CentOS 6
Repository EPEL Testing x86_64
Package name fedpkg
Package version 1.33
Package release 2.el6
Package architecture noarch
Package type rpm
Installed size 161.53 KB
Download size 73.37 KB
Official Mirror dl.fedoraproject.org
Provides the fedpkg command for working with dist-git

Alternatives

Package Version Architecture Repository
fedpkg-1.33-2.el6.noarch.rpm 1.33 noarch EPEL Testing
fedpkg-1.32-1.el6.noarch.rpm 1.32 noarch EPEL
fedpkg-1.32-1.el6.noarch.rpm 1.32 noarch EPEL
fedpkg - - -

Requires

Name Value
/usr/bin/python2.6 -
bodhi-client -
fedora-packager -
koji -
python(abi) = 2.6
python-bugzilla -
python2-fedora -
python2-openidc-client -
python2-rpkg >= 1.54-2
redhat-rpm-config -

Provides

Name Value
config(fedpkg) = 1.33-2.el6
fedpkg = 1.33-2.el6

Download

Type URL
Binary Package fedpkg-1.33-2.el6.noarch.rpm
Source Package fedpkg-1.33-2.el6.src.rpm

Install Howto

  1. Download the latest epel-release rpm from
    http://dl.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install fedpkg rpm package:
    # yum --enablerepo=epel-testing install fedpkg

Files

Path
/etc/
/etc/bash_completion.d/fedpkg.bash
/etc/rpkg/fedpkg-stage.conf
/etc/rpkg/fedpkg.conf
/usr/bin/fedpkg
/usr/lib/python2.6/site-packages/fedpkg/__init__.py
/usr/lib/python2.6/site-packages/fedpkg/__init__.pyc
/usr/lib/python2.6/site-packages/fedpkg/__init__.pyo
/usr/lib/python2.6/site-packages/fedpkg/__main__.py
/usr/lib/python2.6/site-packages/fedpkg/__main__.pyc
/usr/lib/python2.6/site-packages/fedpkg/__main__.pyo
/usr/lib/python2.6/site-packages/fedpkg/bugzilla.py
/usr/lib/python2.6/site-packages/fedpkg/bugzilla.pyc
/usr/lib/python2.6/site-packages/fedpkg/bugzilla.pyo
/usr/lib/python2.6/site-packages/fedpkg/cli.py
/usr/lib/python2.6/site-packages/fedpkg/cli.pyc
/usr/lib/python2.6/site-packages/fedpkg/cli.pyo
/usr/lib/python2.6/site-packages/fedpkg/lookaside.py
/usr/lib/python2.6/site-packages/fedpkg/lookaside.pyc
/usr/lib/python2.6/site-packages/fedpkg/lookaside.pyo
/usr/lib/python2.6/site-packages/fedpkg/utils.py
/usr/lib/python2.6/site-packages/fedpkg/utils.pyc
/usr/lib/python2.6/site-packages/fedpkg/utils.pyo
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/PKG-INFO
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/SOURCES.txt
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/dependency_links.txt
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/entry_points.txt
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/requires.txt
/usr/lib/python2.6/site-packages/fedpkg-1.33-py2.6.egg-info/top_level.txt
/usr/share/doc/fedpkg-1.33/CHANGELOG.rst
/usr/share/doc/fedpkg-1.33/COPYING
/usr/share/doc/fedpkg-1.33/README
/usr/share/man/man1/fedpkg.1.gz
/usr/share/zsh/site-functions/_fedpkg

Changelog

2018-05-21 - Chenxiong Qi <cqi@redhat.com> 1.33-2
* Require python2-rpkg-1.54-2 as minimum version
2018-05-14 - Chenxiong Qi <cqi@redhat.com> - 1.33-1
- Allow running tests against specified rpkg (cqi)
- Fix test due to rpkg uses getpass.getuser (cqi)
- Getting bodhi version works with Python 3 - #213 (cqi)
- Detect Bodhi client by major version - #204 (cqi)
- Allow requesting modular repositories without bug ID - #197 (rdossant)
- Fix test test_verify_sls_invalid_date - #209 (cqi)
- Copy pip-pycurl to ensure pycurl is installed correctly (cqi)
- Fix unicode issue for update command in Python 3 - #206 (cqi)
- Fix a few E722 code styles errors (cqi)
- Fix fake PDC URL in test (cqi)
- Use tox to run tests with multiple Python versions (cqi)
- Reword error message for missing pagure token - #194 (cqi)
- Tell which token ACL is required for request-repo - #195 (cqi)
- Rename incorrect references of Koshei to be Anitya (mprahl)
2018-05-10 - Miro Hrončok <mhroncok@redhat.com> - 1.32-2
- Switch to Python 3 on Fedora > 28 and EL > 7
- Drop Groups
- Switch to %{buildroot}
- Switch to %py_build and _install
2018-03-01 - Chenxiong Qi <cqi@redhat.com> - 1.32-1
- Add requests-tests-repo command (mvadkert)
- Use PDC instead of Bodhi to get the active release branches - #187 (mprahl)
- fix broken syntax in bash completion (tmz)
- Fix Python 3 incompatible code in tests (cqi)
- Better mocking.  Return different values for each new request. (rbean)
- Typofix. (rbean)
- Add docstrings. (rbean)
- Automatically request module for non-standard branches. (rbean)
- Refactor: parameterize the request_repo and request_branch functionality.
(rbean)
- Some additions to the gitignore file. (rbean)
2018-02-14 - Chenxiong Qi <cqi@redhat.com> 1.31-5
- Backport: fix broken syntax in bash completion
2018-02-09 - Iryna Shcherbina <ishcherb@redhat.com> - 1.31-4
- Update Python 2 dependency declarations to new packaging standards
2018-02-09 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.31-3
- Escape macros in %changelog
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 1.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-01-22 - Chenxiong Qi <cqi@redhat.com> - 1.31-1
- Include missing conf file in test (cqi)
- Add more document to request-repo and request-branch (cqi)
- Stop allowing EPEL branches on official EL packages (mprahl)
- Port fedrepo-req and fedrepo-req-branch to fedpkg (mprahl)
- Fix test for unsupported Bodhi version (lsedlar)
- Work with Bodhi 3 - rhbz#1507410 (lsedlar)
- Allow any parameters in construct_build_url (cqi)
- Fix the anongiturl (patrick)
2017-11-22 - Lubomír Sedlář <lsedlar@redhat.com> - 1.30-5
- Work with Bodhi 3

See Also

Package Description
fedpkg-stage-1.33-2.el6.noarch.rpm Fedora utility for working with dist-git
fedwatch-0.5-1.el6.noarch.rpm Tool for watching fedmsg messages and running arbitrary scripts
fio-3.1-1.el6.x86_64.rpm Multithreaded IO generation tool
fluxcapacitor-0-5.20180118gitf6c7f07.el6.x86_64.rpm Run programs without blocking on syscalls
fuse9p-1.0.9-2.el6.noarch.rpm Plan9 filesystem client for FUSE
gdb-heap-0.5-9.1.el6.x86_64.rpm Extensions to gdb for debugging dynamic memory allocation
geany-plugins-addons-1.24-2.el6.x86_64.rpm Miscellaneous Addons for Geany
geany-plugins-autoclose-1.24-2.el6.x86_64.rpm Intellectually helps you to write code
geany-plugins-codenav-1.24-2.el6.x86_64.rpm Navigate through your source code easily
geany-plugins-commander-1.24-2.el6.x86_64.rpm Control Geany using commands from a command panel
geany-plugins-common-1.24-2.el6.x86_64.rpm Common files used by all geany plugins
geany-plugins-debugger-1.24-2.el6.x86_64.rpm Enables debugging in Geany
geany-plugins-defineformat-1.24-2.el6.x86_64.rpm Write multiline defines with aligned backslash
geany-plugins-devhelp-1.24-2.el6.x86_64.rpm API documentation browser in Geany
geany-plugins-geanydoc-1.24-2.el6.x86_64.rpm Call documentation from within Geany
Advertisement
Advertisement